CREATE TABLE &LIBREF..COUNTERPARTY_CREDIT_BEHAVIOR (
     COUNTERPARTY_RK      NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Counterparty Key',
     VALID_FROM_DTTM      DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Valid From Date Time',
     VALID_TO_DTTM        DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Valid To Date time',
     KNOWN_SINCE_DT       DATE FORMAT=&DTFMT INFORMAT=&DTFMT label='Known Since Date',
     ECONOMIC_SECTOR_CD   VARCHAR(3) label='Economic Sector Code',
     CURRENT_ASSETS_AMT   NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Current Assets Amount',
     TOTAL_ASSETS_AMT     NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Total Assets Amount',
     CURRENT_LIABILITIES_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Current Liabilities Amount',
     TOTAL_LIABILITIES_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Total Liabilities Amount',
     CURRENT_RATIO_RT     NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label='Current Ratio Rate',
     SHAREHOLDERS_FUNDS_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Shareholders Funds Amount',
     EBIT_AMT             NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='EBIT Amount',
     RETURN_ON_ASSETS_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Return On Assets Amount',
     RETURN_ON_EQUITY_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Return On Equity Amount',
     RETURN_ON_COMMON_EQUITY_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Return On Common Equity Amount',
     CAPITAL_ADEQUACY_RT  NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label='Capital Adequacy Rate',
     CURRENCY_CD          VARCHAR(3) label='Currency Code',
     STATE_REGION_CD      VARCHAR(4) label='State Region Code',
     COUNTY_NM            VARCHAR(40) label='County Name',
     PROCESSED_DTTM       DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Processed Date Time',
     CONSTRAINT PRIM_KEY PRIMARY KEY (COUNTERPARTY_RK, VALID_FROM_DTTM)
);

