CREATE TABLE &LIBREF..FINANCIAL_INSTRUMENT_CHNG (
     FINANCIAL_INSTRUMENT_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Financial Instrument Key',
     VALID_FROM_DTTM      DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Valid From Date Time',
     IN_DEFAULT_FLG       CHARACTER(1) label='In Default Flag',
     ACCRUED_INTEREST_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Accrued Interest Amount',
     ACCRUED_BASE_INTEREST_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Accrued Base Interest Amount',
     PRINCIPAL_BALANCE_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Principal Balance Amount',
     MTM_VALUE_TO_SELL_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Mark to Market Value To Sell Amount',
     MTM_VALUE_TO_BUY_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Mark to Market Value To Buy Amount',
     EXPECTED_LOSS_PCT    NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label='Expected Loss Percent',
     UNDERLYING_CORRELATION_RT NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label='Underlying Correlation Rate',
     SWAP_DELIVERED_CURRENCY_CD VARCHAR(3) label='Swap Delivered Currency Code',
     SWAP_RECEIVED_CURRENCY_CD VARCHAR(3) label='Swap Received Currency Code',
     SWAP_INFLOW_PERIOD_TO_DATE_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Swap Inflow Amount',
     SWAP_OUTFLW_PERIOD_TO_DATE_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Swap Outflow Amount',
     PREM_PAID_PERIOD_TO_DATE_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Premium Paid Or Received To Date',
     VALID_TO_DTTM        DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Valid To Date Time',
     PROCESSED_DTTM       DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Processed Date Time',
     CONSTRAINT PRIM_KEY PRIMARY KEY (FINANCIAL_INSTRUMENT_RK, VALID_FROM_DTTM)
);

